Notification handlers

GET https://link.bio.br/api/notification-handlers/
curl --request GET \
--url 'https://link.bio.br/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Details Description
search Дополнительно Строка Строка поиска.
search_by Дополнительно Строка По какому полю вы ищете. Допустимые значения: name.
is_enabled Дополнительно Булево значение
type Дополнительно Строка По какому полю вы ищете. Допустимые значения: email, webhook, slack, discord, telegram, microsoft_teams, whatsapp, x, google_chat, internal_notification.
datetime_field Дополнительно Строка Допустимые значения: datetime, last_datetime
datetime_start Дополнительно Строка Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Дополнительно Строка Filter results up to this datetime. Y-m-d H:i:s format.
order_by Дополнительно Строка По какому полю сортировать результаты. Допустимые значения: notification_handler_id, datetime, last_datetime, name.
order_type Дополнительно Строка Порядок результатов. Допустимые значения: ASC для возрастающего порядка и DESC для убывающего порядка.
search Дополнительно Строка Строка поиска.
search_by Дополнительно Строка По какому полю вы ищете. Допустимые значения: name.
is_enabled Дополнительно Булево значение
type Дополнительно Строка По какому полю вы ищете. Допустимые значения: email, webhook, slack, discord, telegram, microsoft_teams, whatsapp, x, google_chat, internal_notification.
datetime_field Дополнительно Строка Допустимые значения: datetime, last_datetime
datetime_start Дополнительно Строка Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Дополнительно Строка Filter results up to this datetime. Y-m-d H:i:s format.
order_by Дополнительно Строка По какому полю сортировать результаты. Допустимые значения: notification_handler_id, datetime, last_datetime, name.
order_type Дополнительно Строка Порядок результатов. Допустимые значения: ASC для возрастающего порядка и DESC для убывающего порядка.
page Дополнительно Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию 1.
results_per_page Дополнительно Целое число Сколько результатов вы хотите на странице. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию: 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-26 01:12:52",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://link.bio.br/api/notification-handlers?page=1",
        "last": "https://link.bio.br/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://link.bio.br/api/notification-handlers?page=1"
    }
}
GET https://link.bio.br/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://link.bio.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-26 01:12:52",
    }
}
POST https://link.bio.br/api/notification-handlers
Параметры Details Description
name Требуется Строка -
type Требуется Строка Допустимые значения: email, webhook, slack, discord, telegram, microsoft_teams, whatsapp, x, google_chat, internal_notification
email Дополнительно Строка Available when: type = email Email
webhook Дополнительно Строка Available when: type = webhook Webhook URL
slack Дополнительно Строка Available when: type = slack Slack webhook URL
discord Дополнительно Строка Available when: type = discord Discord webhook URL
telegram Дополнительно Строка Available when: type = telegram Telegram API Token
telegram_chat_id Дополнительно Строка Available when: type = telegram Telegram Chat ID
microsoft_teams Дополнительно Строка Available when: type = microsoft_teams Microsoft Teams webhook URL
google_chat Дополнительно Строка Available when: type = google_chat Google Chat webhook URL
x_consumer_key Дополнительно Строка Available when: type = x Telegram API Token
x_consumer_secret Дополнительно Строка Available when: type = x Telegram API Token
x_access_token Дополнительно Строка Available when: type = x Telegram API Token
x_access_token_secret Дополнительно Строка Available when: type = x Telegram API Token
whatsapp Дополнительно Строка Available when: type = whatsapp Phone number
curl --request POST \
--url 'https://link.bio.br/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://link.bio.br/api/notification-handlers/{notification_handler_id}
Параметры Details Description
name Дополнительно Строка -
type Дополнительно Строка Допустимые значения: email, webhook, slack, discord, telegram, microsoft_teams, whatsapp, x, google_chat, internal_notification
email Дополнительно Строка Available when: type = email Email
webhook Дополнительно Строка Available when: type = webhook Webhook URL
slack Дополнительно Строка Available when: type = slack Slack webhook URL
discord Дополнительно Строка Available when: type = discord Discord webhook URL
telegram Дополнительно Строка Available when: type = telegram Telegram API Token
telegram_chat_id Дополнительно Строка Available when: type = telegram Telegram Chat ID
microsoft_teams Дополнительно Строка Available when: type = microsoft_teams Microsoft Teams webhook URL
google_chat Дополнительно Строка Available when: type = google_chat Google Chat webhook URL
x_consumer_key Дополнительно Строка Available when: type = x Telegram API Token
x_consumer_secret Дополнительно Строка Available when: type = x Telegram API Token
x_access_token Дополнительно Строка Available when: type = x Telegram API Token
x_access_token_secret Дополнительно Строка Available when: type = x Telegram API Token
whatsapp Дополнительно Строка Available when: type = whatsapp Phone number
is_enabled Дополнительно Булево значение -
curl --request POST \
--url 'https://link.bio.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://link.bio.br/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://link.bio.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \